script.on_event(defines.events.on_entity_damaged,function(e)

local dmg, col
if e.final_damage_amount > 0 then
	if e.force.name == "player" then
	dmg = string.format("%.2f",e.final_damage_amount)
	col = {r = 0.9, g = 0.9, b = 0.4, a = 0.5}
	else
	dmg = string.format("%.2f",e.final_damage_amount)
	col = {r = 0.9, g = 0.4, b = 0.4, a = 0.5}
	end
elseif e.final_damage_amount < 0 then
	dmg = string.format("%+.2f",math.abs(e.final_damage_amount))
	col = {r = 0.4, g = 0.9, b = 0.4, a = 0.5}
end
local ent = e.entity

if dmg then 
	ent.surface.create_entity{
	name = 'er-show-damage-text',
	text = dmg,
	position = ent.position,
	color = col}
	if settings.global["er_show_damage__log-to-file"].value then
		local causeName = "Unknown"
		if e.cause then
		   causeName = e.cause.name
		end
		game.write_file("damageLog.log",game.tick .. "," .. causeName .. "," .. ent.name .. "," .. e.damage_type.name .. "," .. e.original_damage_amount .. "," .. e.final_damage_amount .. "\n", true)
	end
end

end)